- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# osgvertexprogram.cpp File Reference

`#include <osg/Vec3>`
`#include <osg/Vec4>`
`#include <osg/Quat>`
`#include <osg/Matrix>`
`#include <osg/ShapeDrawable>`
`#include <osg/Geometry>`
`#include <osg/Geode>`
`#include <osg/Transform>`
`#include <osg/Material>`
`#include <osg/NodeCallback>`
`#include <osg/Depth>`
`#include <osg/CullFace>`
`#include <osg/TexMat>`
`#include <osg/TexGen>`
`#include <osg/TexEnvCombine>`
`#include <osg/TextureCubeMap>`
`#include <osg/VertexProgram>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgUtil/SmoothingVisitor>`
`#include <osgUtil/Optimizer>`
`#include <osgProducer/Viewer>`

Include dependency graph for osgvertexprogram.cpp:

## Defines
#define | CUBEMAP_FILENAME(face) "Cubemap_snow/" #face ".jpg"
## Functions
osg::TextureCubeMap * | readCubeMap ()
osg::Node * | createSkyBox ()
osg::Node * | addRefractStateSet (osg::Node *node)
int | main (int argc, char *argv[])
## Variables
float | refract = 1.01
float | fresnel = 1.1
const char | vpstr []

## Define Documentation

#define CUBEMAP_FILENAME | ( | face |  | ) | "Cubemap_snow/" #face ".jpg"

## Function Documentation

osg::Node* addRefractStateSet | ( | osg::Node * | node | ) |

osg::Node* createSkyBox | ( |  | ) |

int main | ( | int | argc,
|  | char * | argv[]
| ) |

osg::TextureCubeMap* readCubeMap | ( |  | ) |

## Variable Documentation

float fresnel = 1.1

float refract = 1.01

const char vpstr[]